
package com.rjconsultores.ventaboletos.web.utilerias.render;

import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.entidad.ImpresionLayoutConfig;

public class RenderImpresionLayoutConfig implements ListitemRenderer {

	public void render(Listitem lstm, Object o) throws Exception {
		ImpresionLayoutConfig impresionLayoutConfig = (ImpresionLayoutConfig) o;

		Listcell lc = new Listcell(impresionLayoutConfig.getImpresionLayoutConfigId().toString());
		lc.setParent(lstm);

		lc = new Listcell(impresionLayoutConfig.getDescricao());
		lc.setParent(lstm);
		
		lc = new Listcell(impresionLayoutConfig.getLinguagem().toString());
		lc.setParent(lstm);

		lstm.setAttribute("data", impresionLayoutConfig);
	}
}
